Subject: bug#19780: 13 failing tests

From: [email-masked] (Ludovic Courtès)
Date: Tue, 10 Feb 2015 18:08:33 +0100

Ricardo Wurmus <[email-masked]> skribis:

> I applied the patch and did as instructed, but even after half an hour
> there is no more progress.  I'll leave this running over night, hoping
> for a segfault when I return to it the next morning.

Hmm could you restore the ‘trap’ line in ‘test-env’?  That’s probably
the reason why it doesn’t complete.

Still, that means that the SIGSEGV doesn’t show up when running under
GDB.  :-/

Alternately, could you change ‘test-env’ so that guix-daemon runs under
Valgrind?

TIA,
Ludo’.